Search for invoices - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Skip to main content

Search for invoices

cURL

curl --request POST \
  --url 'https://api.fabric.inc/v3/invoices/search?limit=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "filters": [\
    {\
      "condition": "EQ",\
      "field": "invoice.orders.orderNumber",\
      "value": "30490384"\
    },\
    {\
      "condition": "IN",\
      "field": "invoice.invoiceType",\
      "values": [\
        "RETURN",\
        "SHIPMENT"\
      ]\
    }\
  ],
  "sort": "-invoice.invoicedAt"
}
'
import requests

url = "https://api.fabric.inc/v3/invoices/search?limit=10"

payload = {
    "filters": [\
        {\
            "condition": "EQ",\
            "field": "invoice.orders.orderNumber",\
            "value": "30490384"\
        },\
        {\
            "condition": "IN",\
            "field": "invoice.invoiceType",\
            "values": ["RETURN", "SHIPMENT"]\
        }\
    ],
    "sort": "-invoice.invoicedAt"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    filters: [\
      {condition: 'EQ', field: 'invoice.orders.orderNumber', value: '30490384'},\
      {condition: 'IN', field: 'invoice.invoiceType', values: ['RETURN', 'SHIPMENT']}\
    ],
    sort: '-invoice.invoicedAt'
  })
};

fetch('https://api.fabric.inc/v3/invoices/search?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



200

400

401

500

{
  "data": [\
    {\
      "channelId": "10",\
      "currency": "USD",\
      "invoiceId": "62ff5c0bec0aed3c86202c32",\
      "invoiceTotal": 245.7,\
      "shipmentId": "62ff5c0bec0aed3c86202c32",\
      "statusCode": "CREATED",\
      "totalTaxAmount": 19.57,\
      "version": 2,\
      "acknowledgedAt": "2022-08-01T20:03:28.483Z",\
      "auditLogs": [\
        {\
          "amount": 2.4,\
          "auditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",\
          "auditType": "CANCEL",\
          "auditedAt": "2023-03-12T09:24:54.804Z",\
          "employeeId": "6227",\
          "isSuccess": true,\
          "lineItemId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
          "lineItemNumber": 1,\
          "note": "Note",\
          "paymentToken": {\
            "paymentType": "VISA",\
            "token": "pi_34tr6787rt"\
          },\
          "policyCode": "POS",\
          "quantity": 1,\
          "reasonCode": "Scratched item",\
          "sku": "SKU0023",\
          "source": "POS",\
          "subReasonCode": "Scratched item",\
          "updatedFields": [\
            {\
              "fieldName": "UOM",\
              "fieldOriginalValue": "PK"\
            }\
          ]\
        }\
      ],\
      "createdAt": "2022-08-01T20:03:28.483Z",\
      "customer": {\
        "accountId": "62272e917b12209e68751d94",\
        "address": {\
          "addressLine1": "123 Main St.",\
          "city": "Seattle",\
          "countryCode": "US",\
          "latitude": 47.6205,\
          "longitude": -122.3493,\
          "postalCode": "98121",\
          "region": "WA",\
          "type": "Home",\
          "addressLine2": "Suite 100",\
          "addressLine3": "Seventh floor",\
          "addressLine4": "Attention: Pat E. Kake",\
          "email": "test@example.com",\
          "name": {\
            "firstName": "Alex",\
            "lastName": "Doe",\
            "middleName": "E"\
          },\
          "phone": {\
            "number": "123-456-7890",\
            "type": "MOBILE"\
          }\
        },\
        "company": "Demo Inc",\
        "email": "test@example.com",\
        "employeeId": "62272e917b12209e68751d94",\
        "name": {\
          "firstName": "Alex",\
          "lastName": "Doe",\
          "middleName": "E"\
        },\
        "phone": {\
          "number": "123-456-7890",\
          "type": "MOBILE"\
        },\
        "userId": "62272e917b12209e68751d94"\
      },\
      "invoiceExternalId": "191763090",\
      "invoiceNumber": "23940791",\
      "invoiceStatus": "CAPTURED",\
      "invoiceTotalInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "invoiceType": "SHIPPING",\
      "invoicedAt": "2022-08-01T20:03:28.483Z",\
      "location": {\
        "address": {\
          "addressLine1": "123 Main St.",\
          "city": "Seattle",\
          "countryCode": "US",\
          "latitude": 47.6205,\
          "longitude": -122.3493,\
          "postalCode": "98121",\
          "region": "WA",\
          "type": "Home",\
          "addressLine2": "Suite 100",\
          "addressLine3": "Seventh floor",\
          "addressLine4": "Attention: Pat E. Kake",\
          "contacts": [\
            {\
              "email": "test@example.com",\
              "name": {\
                "firstName": "Alex",\
                "lastName": "Doe",\
                "middleName": "E"\
              },\
              "phone": {\
                "number": "123-456-7890",\
                "type": "MOBILE"\
              }\
            }\
          ],\
          "email": "test@example.com",\
          "name": {\
            "firstName": "Alex",\
            "lastName": "Doe",\
            "middleName": "E"\
          },\
          "phone": {\
            "number": "123-456-7890",\
            "type": "MOBILE"\
          }\
        },\
        "locationNumber": "WH334"\
      },\
      "locationNumber": "WH334",\
      "orders": [\
        {\
          "invoiceOrderTotal": 245.7,\
          "orderId": "62ff5c0bec0aed3c86202c32",\
          "adjustments": [\
            {\
              "adjustmentCounter": 1,\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "attributes": {},\
              "notes": "Any additional info",\
              "quantity": 1,\
              "reasonCode": "Incorrect Item",\
              "subReasonCode": "Late shipping",\
              "value": 34.56\
            }\
          ],\
          "appeasements": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "appeasementCounter": 1,\
              "invoicedAmount": 34.56,\
              "invoicedAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "payments": [\
                {\
                  "paymentCounter": 1,\
                  "refundAmount": 34.56,\
                  "refundAmountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ]\
                }\
              ],\
              "reasonCode": "Incorrect Item",\
              "subReasonCode": "Late shipping"\
            }\
          ],\
          "discounts": [\
            {\
              "promotionId": "HNY2022",\
              "amount": 2,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "promotionCode": "HNY2022",\
              "promotionName": "Happy New Year",\
              "quantity": 2,\
              "type": "promotion"\
            }\
          ],\
          "fees": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "quantity": 1,\
              "refundAmount": 345.56,\
              "refundAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "type": "tax"\
            }\
          ],\
          "items": [\
            {\
              "invoiceLineNumber": 3,\
              "adjustmentTotal": 123.45,\
              "adjustmentTotalInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "adjustments": [\
                {\
                  "adjustmentCounter": 1,\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "attributes": {},\
                  "notes": "Any additional info",\
                  "quantity": 1,\
                  "reasonCode": "Incorrect Item",\
                  "subReasonCode": "Late shipping",\
                  "value": 34.56\
                }\
              ],\
              "appeasements": [\
                {\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "appeasementCounter": 1,\
                  "invoicedAmount": 34.56,\
                  "invoicedAmountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "payments": [\
                    {\
                      "paymentCounter": 1,\
                      "refundAmount": 34.56,\
                      "refundAmountInCurrencies": [\
                        {\
                          "currency": "USD",\
                          "group": "SHOPPER",\
                          "amount": 123.45\
                        }\
                      ]\
                    }\
                  ],\
                  "reasonCode": "Incorrect Item",\
                  "subReasonCode": "Late shipping"\
                }\
              ],\
              "attributes": {\
                "key": "value"\
              },\
              "cancellations": [\
                {\
                  "cancellationCounter": 1,\
                  "source": "CSR",\
                  "reasonCode": "Order Line Cancel",\
                  "subReasonCode": "Late shipping",\
                  "status": "PROCESSING",\
                  "amount": "-20.",\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "invoicedAmount": "-20.",\
                  "invoicedAmountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "payments": [\
                    {\
                      "paymentCounter": 1,\
                      "amount": "-20.",\
                      "amountInCurrencies": [\
                        {\
                          "currency": "USD",\
                          "group": "SHOPPER",\
                          "amount": 123.45\
                        }\
                      ]\
                    }\
                  ],\
                  "refunds": [\
                    {\
                      "type": "ITEM",\
                      "name": "Name",\
                      "amount": "-10.",\
                      "amountInCurrencies": [\
                        {\
                          "currency": "USD",\
                          "group": "SHOPPER",\
                          "amount": 123.45\
                        }\
                      ]\
                    }\
                  ],\
                  "attributes": {\
                    "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"\
                  },\
                  "quantity": 10\
                }\
              ],\
              "currency": "USD",\
              "discounts": [\
                {\
                  "promotionId": "HNY2022",\
                  "amount": 2,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "promotionCode": "HNY2022",\
                  "promotionName": "Happy New Year",\
                  "quantity": 2,\
                  "type": "promotion"\
                }\
              ],\
              "fees": [\
                {\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "quantity": 1,\
                  "refundAmount": 345.56,\
                  "refundAmountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "type": "tax"\
                }\
              ],\
              "invoiceLineTotal": 600,\
              "invoiceLineTotalInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "invoiceQuantity": 10,\
              "itemAppeasementTotal": 344.455,\
              "itemAppeasementTotalInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "itemCancelTotal": 344.455,\
              "itemCancelTotalInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "itemDiscountsTotal": 3.45,\
              "itemDiscountsTotalInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "itemFeeTotal": 33.4,\
              "itemFeeTotalInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "itemId": 1234455322,\
              "itemTaxTotal": 2.4,\
              "itemTaxTotalInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "itemUnitPrice": 33.4,\
              "itemUnitPriceInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "lineItemCreatedAt": "2022-11-22T10:26:38.000+00:00",\
              "lineItemId": "1adfrghhh2346aaaf",\
              "lineItemNumber": 1,\
              "locationStoreId": 4512345,\
              "orderId": "33adfrghhh2346aaaffff",\
              "returnExpirationDays": 21,\
              "returns": [\
                {\
                  "exchangeLineItemId": "62f3dfc438bcab1951be0a19",\
                  "fees": [\
                    {\
                      "amount": 34.56,\
                      "amountInCurrencies": [\
                        {\
                          "currency": "USD",\
                          "group": "SHOPPER",\
                          "amount": 123.45\
                        }\
                      ],\
                      "name": "RETURN_FEE",\
                      "reason": "Return fee",\
                      "type": "FEE"\
                    }\
                  ],\
                  "invoicedAmount": 11.29,\
                  "invoicedAmountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "isExchangeItemReturned": true,\
                  "reasonCode": "Incorrect item",\
                  "refundAmount": 11.29,\
                  "refundAmountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "refunds": [\
                    {\
                      "amount": 34.56,\
                      "amountInCurrencies": [\
                        {\
                          "currency": "USD",\
                          "group": "SHOPPER",\
                          "amount": 123.45\
                        }\
                      ],\
                      "name": "RETURN_FEE",\
                      "reason": "Return fee",\
                      "type": "FEE"\
                    }\
                  ],\
                  "returnRequestCounter": 1,\
                  "returnsReceivedAt": "2022-09-14T14:07:36.861Z",\
                  "shipmentId": "62b37697c67b204dd18a7465",\
                  "shipmentInvoice": {\
                    "invoiceId": "62ff5c0bec0aed3c86202c32",\
                    "invoiceNumber": "23940791",\
                    "invoicedAt": "2022-08-01T20:03:28.483971941Z"\
                  },\
                  "shipmentLineItemId": "234",\
                  "shipmentQuantity": 1\
                }\
              ],\
              "shipToId": "5349b4ddd2781d08c09890f4",\
              "shipmentLineItemId": "2adfrghhh2346aaaffff",\
              "sku": "P1234",\
              "taxDetails": [\
                {\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "type": "tax"\
                }\
              ],\
              "type": "WEB_PICKUP",\
              "uom": "EA"\
            }\
          ],\
          "orderNumber": "217088603",\
          "orderExternalId": 217088603,\
          "orderSubtype": "INTERNATIONAL",\
          "orderType": "WEB",\
          "orderedAt": "2022-05-12T09:30:31.198Z",\
          "payments": [\
            {\
              "attributes": {},\
              "authorizedAmount": 256.1,\
              "authorizedAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "billToAddress": {\
                "addressLine1": "123 Main St.",\
                "city": "Seattle",\
                "countryCode": "US",\
                "latitude": 47.6205,\
                "longitude": -122.3493,\
                "postalCode": "98121",\
                "region": "WA",\
                "type": "Home",\
                "addressLine2": "Suite 100",\
                "addressLine3": "Seventh floor",\
                "addressLine4": "Attention: Pat E. Kake",\
                "email": "test@example.com",\
                "name": {\
                  "firstName": "Alex",\
                  "lastName": "Doe",\
                  "middleName": "E"\
                },\
                "phone": {\
                  "number": "123-456-7890",\
                  "type": "MOBILE"\
                }\
              },\
              "conversion": 1,\
              "currency": "USD",\
              "paidAt": "2022-01-27T16:15:58.000-05:00",\
              "paymentCounter": 1,\
              "paymentIdentifier": {\
                "cardIdentifier": "***********3456"\
              },\
              "paymentMethod": "CREDIT_CARD",\
              "paymentProvider": "stripe",\
              "paymentStatus": "PAID",\
              "paymentToken": {\
                "token": "pi_34tr6787rt"\
              },\
              "paymentType": "VISA",\
              "settlement": {\
                "settledAt": "2022-01-27T21:15:58Z",\
                "settlementAmount": 10.3,\
                "settlementAmountInCurrencies": [\
                  {\
                    "currency": "USD",\
                    "group": "SHOPPER",\
                    "amount": 123.45\
                  }\
                ],\
                "settlementStatusCode": "SETTLED"\
              }\
            }\
          ],\
          "returns": [\
            {\
              "attributes": {\
                "transactionId": "0R12TQ46"\
              },\
              "fees": [\
                {\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "name": "RETURN_FEE",\
                  "reason": "Return fee",\
                  "type": "FEE"\
                }\
              ],\
              "invoicedAmount": 11.29,\
              "invoicedAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "paymentCounterRefundDetails": [\
                {\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "paymentCounter": 1\
                }\
              ],\
              "refunds": [\
                {\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "name": "RETURN_FEE",\
                  "reason": "Return fee",\
                  "type": "FEE"\
                }\
              ],\
              "returnCounter": 1,\
              "totalRefundAmount": 11.29,\
              "totalRefundAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ]\
            }\
          ],\
          "taxDetails": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "type": "tax"\
            }\
          ]\
        }\
      ],\
      "postedAt": "2022-08-01T20:03:28.483971941Z",\
      "retail": {\
        "cashierId": "CE-321",\
        "locationNumber": "WH334"\
      },\
      "shipInfo": {\
        "shipToId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",\
        "attributes": {\
          "giftMessage": "[]"\
        },\
        "discounts": [\
          {\
            "amount": 2.99,\
            "amountInCurrencies": [\
              {\
                "currency": "USD",\
                "group": "SHOPPER",\
                "amount": 123.45\
              }\
            ],\
            "promotionCode": "SHIPFREE",\
            "promotionId": "SHIPFREE",\
            "promotionName": "Free Shipping",\
            "quantity": 1,\
            "unit": "AMOUNT_OFF",\
            "value": 10\
          }\
        ],\
        "estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",\
        "estimatedShipDate": "2022-05-12T09:30:31.198Z",\
        "fulfillmentZoneName": "US_LOCATIONS",\
        "isInvoiced": true,\
        "locationNumber": "WH334",\
        "pickups": [\
          {\
            "email": "test@example.com",\
            "name": {\
              "firstName": "Alex",\
              "lastName": "Doe",\
              "middleName": "E"\
            },\
            "phone": {\
              "number": "123-456-7890",\
              "type": "MOBILE"\
            },\
            "pickupType": "PRIMARY"\
          }\
        ],\
        "shipMethod": "Parcel post delivery",\
        "shipToAddress": {\
          "addressLine1": "123 Main St.",\
          "city": "Seattle",\
          "countryCode": "US",\
          "latitude": 47.6205,\
          "longitude": -122.3493,\
          "postalCode": "98121",\
          "region": "WA",\
          "type": "Home",\
          "addressLine2": "Suite 100",\
          "addressLine3": "Seventh floor",\
          "addressLine4": "Attention: Pat E. Kake",\
          "email": "test@example.com",\
          "name": {\
            "firstName": "Alex",\
            "lastName": "Doe",\
            "middleName": "E"\
          },\
          "phone": {\
            "number": "123-456-7890",\
            "type": "MOBILE"\
          }\
        },\
        "shipToDiscount": 12.6,\
        "shipToDiscountInCurrencies": [\
          {\
            "currency": "USD",\
            "group": "SHOPPER",\
            "amount": 123.45\
          }\
        ],\
        "shipToPrice": 20,\
        "shipToPriceInCurrencies": [\
          {\
            "currency": "USD",\
            "group": "SHOPPER",\
            "amount": 123.45\
          }\
        ],\
        "shipToTaxTotal": 12.6,\
        "shipToTaxTotalInCurrencies": [\
          {\
            "currency": "USD",\
            "group": "SHOPPER",\
            "amount": 123.45\
          }\
        ],\
        "shipToType": "SHIP_TO_ADDRESS",\
        "shipToUnitPrice": 20,\
        "shipToUnitPriceInCurrencies": [\
          {\
            "currency": "USD",\
            "group": "SHOPPER",\
            "amount": 123.45\
          }\
        ],\
        "shipmentInstructions": "Handle with care",\
        "taxCode": "FR01",\
        "taxDetails": [\
          {\
            "amount": 34.56,\
            "amountInCurrencies": [\
              {\
                "currency": "USD",\
                "group": "SHOPPER",\
                "amount": 123.45\
              }\
            ],\
            "attributes": {},\
            "currency": "USD",\
            "name": "STATE",\
            "rate": 10,\
            "rateType": "PERCENTAGE",\
            "taxCode": "FR01"\
          }\
        ]\
      },\
      "shipmentNumber": "217088603",\
      "shippedAt": "2022-08-01T20:03:28.483Z",\
      "totalTaxAmountInCurrencies": [\
        {\
          "currency": "USD",\
          "group": "SHOPPER",\
          "amount": 123.45\
        }\
      ],\
      "updatedAt": "2022-08-01T20:03:28.483971941Z"\
    }\
  ],
  "pagination": {
    "count": 1000,
    "limit": 10,
    "offset": 1
  }
}
{
  "errors": [\
    {\
      "message": "Invalid request",\
      "type": "CLIENT_ERROR"\
    }\
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}

POST

/

invoices

/

search

Try it

Search for invoices

cURL

import requests

url = "https://api.fabric.inc/v3/invoices/search?limit=10"

response = requests.post(url, json=payload, headers=headers)

print(response.text)



200

400

401

500

{
  "errors": [\
    {\
      "message": "Invalid request",\
      "type": "CLIENT_ERROR"\
    }\
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}

Authorizations

​

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

​

x-fabric-tenant-id

string

required

A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.

​

x-fabric-channel-id

string

required

x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.

​

x-fabric-request-id

string

Unique request ID

Query Parameters

​

fetchOnlyIds

boolean

default:false

​

offset

integer

default:0

Number of records to skip before returning all records. Default is 0 if no value is specified.

Example:

0

​

limit

integer

default:10

Maximum number of records returned per page. Default is 10 if no value is specified.

Required range: 1 <= x <= 100

Example:

10

Body

application/json

Sort and filter criteria for invoice search

​

filters

object[]

required

Maximum array length: 50

Criteria to find invoice by a single value. Condition between field and value is anything except IN and NIN when valueSearchFilter is used.

Showchild attributes

​

sort

string

default:-invoice.invoicedAt

Property by which data is sorted. Note: - refers to descending and + refers to ascending order

Pattern: (^[+-]invoice\.[a-zA-Z.\-_]*)(,([+-]invoice\.[a-zA-Z.\-_]*)){0,}

Example:

"+invoice.invoicedAt"

Response

200

application/json

OK

Invoice search response

​

data

object[]

Showchild attributes

​

pagination

object

Pagination response

Showchild attributes

Was this page helpful?

YesNo

Create invoice Acknowledge financial transaction

Ctrl+I

Assistant

Responses are generated using AI and may contain mistakes.